cancel
gwmacleod Top Student
Top Student
6 5 0 0
Message 1 of 11
174
Flag Post
HP Recommended

Needs NET Framework 4.6?

Photosmart C6280
Microsoft Windows 8.1 (64-bit)

While installing printer driver s/w, dialog box appears stating Netframework ver.4.6 required to install. After agreeing to install 4.6, install stalls shortly after initiation. I'd welcome suggestions on how to resolve this issue. As background, the PC  is operating Win 8.1 (64 bit); the current installed Netframework is v. 4.5.1.

10 REPLIES 10
HP Support Agent
HP Support Agent
15,381 15,013 854 965
Message 2 of 11
144
Flag Post
HP Recommended

Needs NET Framework 4.6?

@gwmacleod

 

Welcome to HP support community.

 

Perform root level uninstalltion to remove all the printer related software's.

  • In Windows, search for and open Programs and Features.
  • Select your HP printer.
  • Select Uninstall.
  • In Windows, search for and open Devices and Printers.
  • In the Devices and Printers window look for your HP Printer. If you see it listed, right-click on it and choose "Delete" or "Remove Device.”
  • Open up the run command with the "Windows Key + R" key combo.
  • Type printui.exe /s and click OK.
  • Click on Drivers tab.
  • Look for HP Printer driver. If you see it click on it and click Remove at the bottom.
  • Select OK.
  • Remove all instances of the same.
  • Select Apply and OK on the Print Server Properties windows.
  • Close Devices and Printers. 
  • Restart the PC again.

Download and install printer full feature driver

Click here to download the driver.

 

Let me know if that helps.

To thank me for my efforts to help you, please mark my post as an accepted solution so that it benefits several others.

Cheers.

Sandytechy20
I am an HP Employee

Reply
0 Kudos
gwmacleod Top Student
Top Student
6 5 0 0
Message 3 of 11
123
Flag Post
HP Recommended

Needs NET Framework 4.6?

Thanks for your effort. Sadly, the driver install failed. Specifically, an error box appeared reading, "Runtime Error!"  Additional text pointed to c:\user\[user name]\AppData\Local\Temp\7Zs53CA\Setup.exe. Again, I'd welcome any additional guidance you my have to offer.

Reply
0 Kudos
HP Support Agent
HP Support Agent
15,381 15,013 854 965
Message 4 of 11
117
Flag Post
HP Recommended

Needs NET Framework 4.6?

@gwmacleod

 

Try to install the printer using Windows built in driver.

Refer this HP document for the steps:- Click here

 

I hope that helps.

To thank me for my efforts to help you, please mark my post as an accepted solution so that it benefits several others.

Cheers.

Sandytechy20
I am an HP Employee

Reply
0 Kudos
gwmacleod Top Student
Top Student
6 5 0 0
Message 5 of 11
106
Flag Post
HP Recommended

Needs NET Framework 4.6?

Again, thanks. After succeeding in installing .Net Framework 4.6, a runtime error now appears (see below).

RunTime Error.jpeg

I'd welcome any additional advice you might offer.

Reply
0 Kudos
HP Support Agent
HP Support Agent
16,416 16,275 1,082 1,738
Message 6 of 11
94
Flag Post
HP Recommended

Needs NET Framework 4.6?

@gwmacleod,

 

I recommend you create a new user account on the computer following the steps in the below article and then install the printer and check.

 

https://support.microsoft.com/en-in/help/13951/windows-create-user-account

 

If you wish to show appreciation for my efforts, mark my post as Accept as Solution. Your feedback counts!

 

Cheers!

The_Fossette
I am an HP Employee

Reply
0 Kudos
gwmacleod Top Student
Top Student
6 5 0 0
Message 7 of 11
90
Flag Post
HP Recommended

Needs NET Framework 4.6?

Thanks for the suggestion. Sadly, installing under a new account (local, admin) produced the same result: Runtime error (see above). I'd welcome additional suggested actions.

Reply
0 Kudos
HP Support Agent
HP Support Agent
16,416 16,275 1,082 1,738
Message 8 of 11
84
Flag Post
HP Recommended

Needs NET Framework 4.6?

@gwmacleod,

 

Do you have any anti-virus or any security software installed on the computer? If yes, then I recommend you disable it and then try installing the printer and check.

 

If the issue persists, run the HP print and scan doctor and check.

 

Please download and run the HP Print And Scan Doctor from this Link: https://ftp.hp.com/pub/printers/hppsdr/HPPSdr.exe

 

Run PSDR v5.0.2 

Once the PSDR detects the Printer, it will show up the IP address and Software Status. 

Select the correct Printer and click on Next. 

PSDR will check if the Printer is on the Network and communication between the PC and the Printer. Once the connection check is done, click on Fix Printing 

Once PSDR goes through all checks and automatic fixes, click on Print a test page. 

Regardless if PSDR printed the test page or not, click on “NO PRINT” 

PSDR will then notify you that there is an update available, click on continue, and PSDR will apply the patch and ask for a reboot. 

Post restart the PSDR will run automatically to check for more issue.  If no issue found close PSDR. 

 

If you wish to show appreciation for my efforts, mark my post as Accept as Solution. Your feedback counts!

 

Cheers!

The_Fossette
I am an HP Employee

Reply
0 Kudos
Provost Provost
Provost
25,056 24,692 4,450 9,523
Message 9 of 11
76
Flag Post
HP Recommended

Needs NET Framework 4.6?

Hi,

Please also follow HP PSDR below and check if it may prompt to install .Net Framework 3.5 on your computer, if any such prompt is shown be sure to follow the steps and install it prior reinstalling the HP Software:

http://ftp.hp.com/pub/printers/hppsdr/HPPSdr.exe

 

Shlomi

Say thanks by clicking the Kudos thumb up in the post.
If my post resolve your problem please mark it as an Accepted Solution 🙂
Reply
0 Kudos
gwmacleod Top Student
Top Student
6 5 0 0
Message 10 of 11
32
Flag Post
HP Recommended

Needs NET Framework 4.6?

Thank you for the suggestion. Despite turning off the anti-virus software (Norton 360), the Runtime error appears.

Again, I'd welcome any new suggestions you may be kind enough to offer.

 

G. W.

Reply
0 Kudos
† The opinions expressed above are the personal opinions of the authors, not of HP. By using this site, you accept the Terms of Use and Rules of Participation